Restrict purchases to registered users
This setting allows only users with a Mercado Pago account to make purchases in your Checkout Pro. Once enabled, only authenticated customers will be able to access the checkout and use the available payment methods to complete the purchase.
To restrict payments exclusively to users with a Mercado Pago account, include the config.online.allowed_user_type parameter with the value account_only when sending the request to the Create orderAPI endpoint.
curl
curl -X POST \ -H 'accept: application/json' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ -H 'X-Idempotency-Key: UNIQUE_KEY' \ 'https://api.mercadopago.com/v1/orders' \ -d '{ "type": "online", "processing_mode": "manual", "total_amount": "1000.00", "external_reference": "order_pro_123", "payer": { "email": "buyer@email.com" }, "items": [ { "title": "My product", "unit_price": "1000.00", "quantity": 1, "unit_measure": "unit", "total_amount": "1000.00" } ], "config": { "online": { "allowed_user_type": "account_only" } } }'
